Skip to main content
POST
/
api
/
agents
/
{id}
/
chat
Chat with agent
curl --request POST \
  --url https://api.agentixx.io/api/agents/{id}/chat \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <api-key>' \
  --cookie better-auth.session_token= \
  --data '
{
  "message": "What are your business hours?",
  "sessionId": "sess_abc123"
}
'
{
  "response": "<string>",
  "sessionId": "<string>"
}

Authorizations

better-auth.session_token
string
cookie
required

Session cookie set by Better Auth on sign-in.

x-tenant-id
string
header
required

Tenant/workspace UUID. Required on all /api/* endpoints.

Path Parameters

id
string<uuid>
required

Body

application/json

Send a chat message to an agent (playground/builder)

message
string
required
Minimum string length: 1
history
any[]
sessionId
string
configOverrides
object

Response

Agent response

response
string
required
sessionId
string
required
{key}
any